libzypp 17.38.15

zypp::MirroredOrigin::Private Struct Reference

## Public Member Functions
| Private ()=default
| ~Private ()=default
Private * | clone () const
bool | authoritiesAreValid () const

## Public Attributes
std::vector< OriginEndpoint > | _authorities
std::vector< OriginEndpoint > | _origins

## Detailed Description

Definition at line 138 of file MirroredOrigin.cc.

## Constructor & Destructor Documentation

## ◆ Private()

zypp::MirroredOrigin::Private::Private | ( |  | ) |
| default

## ◆ ~Private()

zypp::MirroredOrigin::Private::~Private | ( |  | ) |
| default

## Member Function Documentation

## ◆ clone()

Private * zypp::MirroredOrigin::Private::clone | ( |  | ) | const
| inline

Definition at line 142 of file MirroredOrigin.cc.

## ◆ authoritiesAreValid()

bool zypp::MirroredOrigin::Private::authoritiesAreValid | ( |  | ) | const
| inline

Definition at line 146 of file MirroredOrigin.cc.

## Member Data Documentation

## ◆ _authorities

std::vector<OriginEndpoint> zypp::MirroredOrigin::Private::_authorities

Definition at line 151 of file MirroredOrigin.cc.

## ◆ _origins

std::vector<OriginEndpoint> zypp::MirroredOrigin::Private::_origins

Definition at line 152 of file MirroredOrigin.cc.

The documentation for this struct was generated from the following file:

- zypp-core/MirroredOrigin.cc